Wind River Support Network

HomeDefectsLIN5-18357
Fixed

LIN5-18357 : Missing dependency in cmake and ccache

Created: Mar 20, 2014    Updated: Dec 19, 2017
Resolved Date: Apr 11, 2014
Found In Version: 5.0.1
Fix Version: 5.0.1.14
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Build & Config

Description

The cmake and ccache packages require libmpc but do not specify a dependency for this package. This can result in either a build failure or, if the host has this library installed, the wrong library version may be used.

Workaround

Add:

DEPENDS += "libmpc"

to the bb files of the cmake and ccache packages. Alternatively create a bbappend file for each package in a custom layer.

Steps to Reproduce

Build failures were seen whilst working on LIN5-18286 and LIN5-18287. The customer had a reduced package list and was building with a large number of parallel jobs. It may be hard to reproduce with default package lists and/or fewer parallel jobs.

Other Downloads


Live chat
Online